MerkleTree.TreeRange (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.utils

## Class MerkleTree.TreeRange

- java.lang.Object
- - org.apache.cassandra.dht.AbstractBounds<T>
  - - org.apache.cassandra.dht.Range<Token>
    - - org.apache.cassandra.utils.MerkleTree.TreeRange

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Range<Token>>
  Direct Known Subclasses:
    MerkleTree.TreeDifference
  Enclosing class:
    MerkleTree

      public static class MerkleTree.TreeRange
      extends Range<Token>

  The public interface to a range in the tree. NB: A TreeRange should not be returned by a public method unless the parents of the range it represents are already invalidated, since it will allow someone to modify the hash. Alternatively, a TreeRange may be created with a null tree, indicating that it is read only.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.dht.AbstractBounds

      `AbstractBounds.AbstractBoundsSerializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `depth`
    `static long` | `serialVersionUID`

    - ### Fields inherited from class org.apache.cassandra.dht.AbstractBounds

      `left, partitioner, right, serializer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAll(java.util.Iterator<MerkleTree.RowHash> entries)`
    `void` | `addHash(MerkleTree.RowHash entry)`
    `void` | `ensureHashInitialised()`
    `byte[]` | `hash()`
    `void` | `hash(byte[] hash)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.cassandra.dht.Range

      `asList, compareTo, contains, contains, contains, differenceToFetch, equals, getClosingString, getOpeningString, intersectionWith, intersects, intersects, intersects, isInRanges, isWrapAround, isWrapAround, makeRowRange, normalize, rangeSet, rangeSet, split, subtract, toRowBounds, toTokenBounds, unwrap, withNewRight`

    - ### Methods inherited from class org.apache.cassandra.dht.AbstractBounds

      `getString, hashCode, intersects`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          public static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### depth

          public final byte depth

  - ### Method Detail

    - #### hash

          public void hash(byte[] hash)

    - #### hash

          public byte[] hash()

    - #### addHash

          public void addHash(MerkleTree.RowHash entry)

      Parameters:
        `entry` - Row to mix into the hash for this range.

    - #### ensureHashInitialised

          public void ensureHashInitialised()

    - #### addAll

          public void addAll(java.util.Iterator<MerkleTree.RowHash> entries)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `Range<Token>`

Copyright © 2014 The Apache Software Foundation